Package generic.util.image

# Record Class ImageUtils.Padding

java.lang.Object
java.lang.Record
generic.util.image.ImageUtils.Padding

Record Components:
  `top` - top padding
  `left` - left padding
  `right` - right padding
  `bottom` - bottom padding

Enclosing class:
  `ImageUtils`

public static record ImageUtils.Padding(int top, int left, int right, int bottom) extends Record
Four int values that represent padding on each side of an image

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Padding(int top, int left, int right, int bottom)`
  Creates an instance of a `Padding` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `bottom()`
  Returns the value of the `bottom` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `left()`
  Returns the value of the `left` record component.
  `int`
  `right()`
  Returns the value of the `right` record component.
  `int`
  `top()`
  Returns the value of the `top` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Padding

    public Padding(int top, int left, int right, int bottom)
    Creates an instance of a `Padding` record class.
    Parameters:
      `top` - the value for the `top` record component
      `left` - the value for the `left` record component
      `right` - the value for the `right` record component
      `bottom` - the value for the `bottom` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### top

    public int top()
    Returns the value of the `top` record component.
    Returns:
      the value of the `top` record component

  - ### left

    public int left()
    Returns the value of the `left` record component.
    Returns:
      the value of the `left` record component

  - ### right

    public int right()
    Returns the value of the `right` record component.
    Returns:
      the value of the `right` record component

  - ### bottom

    public int bottom()
    Returns the value of the `bottom` record component.
    Returns:
      the value of the `bottom` record component